Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc
Class GCIdFactory.GCEntrySet

    java.lang.Object
      rice.p2p.past.gc.GCIdFactory.GCEntrySet

All Implemented Interfaces:
  java.util.Collection, java.util.Set

Enclosing class:
  GCIdFactory

protected class GCIdFactory.GCEntrySet
extends java.lang.Object
implements java.util.Set

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected java.util.Set` | `set` DESCRIBE THE FIELD

Constructor Summary
`GCIdFactory.GCEntrySet(java.util.Set set)` Constructor for GCEntrySet.

Method Summary
`boolean` | `add(java.lang.Object o)` DESCRIBE THE METHOD
`boolean` | `addAll(java.util.Collection c)` Adds a feature to the All attribute of the GCEntrySet object
`void` | `clear()` DESCRIBE THE METHOD
`boolean` | `contains(java.lang.Object o)` DESCRIBE THE METHOD
`boolean` | `containsAll(java.util.Collection c)` DESCRIBE THE METHOD
`boolean` | `equals(java.lang.Object o)` DESCRIBE THE METHOD
`int` | `hashCode()` DESCRIBE THE METHOD
`boolean` | `isEmpty()` Gets the Empty attribute of the GCEntrySet object
`java.util.Iterator` | `iterator()` DESCRIBE THE METHOD
`boolean` | `remove(java.lang.Object o)` DESCRIBE THE METHOD
`boolean` | `removeAll(java.util.Collection c)` DESCRIBE THE METHOD
`boolean` | `retainAll(java.util.Collection c)` DESCRIBE THE METHOD
`int` | `size()` DESCRIBE THE METHOD
`java.lang.Object[]` | `toArray()` DESCRIBE THE METHOD
`java.lang.Object[]` | `toArray(java.lang.Object[] a)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### set

    protected java.util.Set set

  DESCRIBE THE FIELD

Constructor Detail

### GCIdFactory.GCEntrySet

    public GCIdFactory.GCEntrySet(java.util.Set set)

  Constructor for GCEntrySet.

Parameters:
  `set` - DESCRIBE THE PARAMETER

Method Detail

### isEmpty

    public boolean isEmpty()

  Gets the Empty attribute of the GCEntrySet object

  Specified by:
    `isEmpty` in interface `java.util.Set`
  Returns:
    The Empty value

### add

    public boolean add(java.lang.Object o)

  DESCRIBE THE METHOD

  Specified by:
    `add` in interface `java.util.Set`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### addAll

    public boolean addAll(java.util.Collection c)

  Adds a feature to the All attribute of the GCEntrySet object

  Specified by:
    `addAll` in interface `java.util.Set`
  Parameters:
    `c` - The feature to be added to the All attribute
  Returns:
    DESCRIBE THE RETURN VALUE

### clear

    public void clear()

  DESCRIBE THE METHOD

  Specified by:
    `clear` in interface `java.util.Set`

### contains

    public boolean contains(java.lang.Object o)

  DESCRIBE THE METHOD

  Specified by:
    `contains` in interface `java.util.Set`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### containsAll

    public boolean containsAll(java.util.Collection c)

  DESCRIBE THE METHOD

  Specified by:
    `containsAll` in interface `java.util.Set`
  Parameters:
    `c` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### equals

    public boolean equals(java.lang.Object o)

  DESCRIBE THE METHOD

  Specified by:
    `equals` in interface `java.util.Set`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### hashCode

    public int hashCode()

  DESCRIBE THE METHOD

  Specified by:
    `hashCode` in interface `java.util.Set`
  Returns:
    DESCRIBE THE RETURN VALUE

### iterator

    public java.util.Iterator iterator()

  DESCRIBE THE METHOD

  Specified by:
    `iterator` in interface `java.util.Set`
  Returns:
    DESCRIBE THE RETURN VALUE

### remove

    public boolean remove(java.lang.Object o)

  DESCRIBE THE METHOD

  Specified by:
    `remove` in interface `java.util.Set`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### removeAll

    public boolean removeAll(java.util.Collection c)

  DESCRIBE THE METHOD

  Specified by:
    `removeAll` in interface `java.util.Set`
  Parameters:
    `c` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### retainAll

    public boolean retainAll(java.util.Collection c)

  DESCRIBE THE METHOD

  Specified by:
    `retainAll` in interface `java.util.Set`
  Parameters:
    `c` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### size

    public int size()

  DESCRIBE THE METHOD

  Specified by:
    `size` in interface `java.util.Set`
  Returns:
    DESCRIBE THE RETURN VALUE

### toArray

    public java.lang.Object[] toArray()

  DESCRIBE THE METHOD

  Specified by:
    `toArray` in interface `java.util.Set`
  Returns:
    DESCRIBE THE RETURN VALUE

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  DESCRIBE THE METHOD

  Specified by:
    `toArray` in interface `java.util.Set`
  Parameters:
    `a` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.